summaryrefslogtreecommitdiffstats
path: root/dev-ruby/dice
diff options
context:
space:
mode:
authorSuren A. Chilingaryan <csa@suren.me>2019-10-24 02:09:32 +0200
committerSuren A. Chilingaryan <csa@suren.me>2019-10-24 02:09:32 +0200
commitdd2aea324c07fe1bd13143bb37eff11117b6130a (patch)
tree771ed8c8b9b1eb2f02b5843363eed86839ed6e5a /dev-ruby/dice
parent576b6208d6defe240bfa2477d6dd19f1ed83bfaf (diff)
downloaddarklin4-dd2aea324c07fe1bd13143bb37eff11117b6130a.tar.gz
darklin4-dd2aea324c07fe1bd13143bb37eff11117b6130a.tar.bz2
darklin4-dd2aea324c07fe1bd13143bb37eff11117b6130a.tar.xz
darklin4-dd2aea324c07fe1bd13143bb37eff11117b6130a.zip
Dice(kiwi) and dependencies; kiwi and dependecies (still missing zypper)
Diffstat (limited to 'dev-ruby/dice')
-rw-r--r--dev-ruby/dice/Manifest1
-rw-r--r--dev-ruby/dice/dice-0.7.10.ebuild50
2 files changed, 51 insertions, 0 deletions
diff --git a/dev-ruby/dice/Manifest b/dev-ruby/dice/Manifest
new file mode 100644
index 0000000..acedf5f
--- /dev/null
+++ b/dev-ruby/dice/Manifest
@@ -0,0 +1 @@
+EBUILD dice-0.7.10.ebuild 957 BLAKE2B c385184b57b1ba2866e5233d28f061be6c79234dd93bb471f83ecdc65649a2cdcff9f5bdb06f7561d2a992c7b87b13016c4e686351de4d5d862205aa13be6325 SHA512 8a517cc62906f2c7903cc7aedf92610184c0502926df378e1734fd99089f93f352249d58feb984a3a8219e4a258ff7a2248be3ab727a58a9cd9b8abe4e355ef8
diff --git a/dev-ruby/dice/dice-0.7.10.ebuild b/dev-ruby/dice/dice-0.7.10.ebuild
new file mode 100644
index 0000000..0cc0a03
--- /dev/null
+++ b/dev-ruby/dice/dice-0.7.10.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26"
+
+#inherit ruby-fakegem git-r3
+#inherit cmake-utils
+inherit eutils multilib ruby-fakegem git-r3
+
+
+DESCRIPTION="OpenSuSE Dice for KIWI images"
+HOMEPAGE="https://github.com/OSInside/dice"
+SRC_URI=""
+EGIT_REPO_URI="https://github.com/OSInside/dice.git"
+EGIT_CHECKOUT_DIR="${WORKDIR}/all"
+EGIT_BRANCH="master"
+
+QA_PREBUILT="usr/lib*/ruby/gems/*/gems/${P}/lib/semaphore/sempahore.so"
+
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+ruby_add_rdepend "
+ dev-ruby/gli
+ dev-libs/libsolv[ruby,rpm]
+"
+
+ruby_add_bdepend "
+ dev-ruby/abstract_method
+ dev-ruby/bundler
+ dev-ruby/inifile
+ dev-ruby/json
+ dev-ruby/cheetah
+ dev-ruby/rice
+"
+
+
+each_ruby_configure() {
+ ${RUBY} -rrubygems -Clib/semaphore extconf.rb || die
+}
+
+each_ruby_compile() {
+ emake -Clib/semaphore V=1
+ rm -f lib/semaphore/*.o
+}
+